DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Enumerations
dfindscu.h File Reference

Service Class User (SCU) for C-FIND. More...

## Classes
class | DcmFindSCUCallback
| Abstract base class for Find SCU callbacks. More...
class | DcmFindSCUDefaultCallback
| Default implementation of FindSCU callback class. More...
class | DcmFindSCU
| This class implements a complete DICOM C-FIND SCU, including association set-up, execution of the C-FIND transaction including processing of results, and closing of the association. More...

## Enumerations
enum | DcmFindSCUExtractMode { FEM_none , FEM_dicomFile , FEM_xmlFile , FEM_singleXMLFile }
| mode specifying whether and how to extract C-FIND responses. More...

## Detailed Description

Service Class User (SCU) for C-FIND.

## Enumeration Type Documentation

## ◆ DcmFindSCUExtractMode

enum DcmFindSCUExtractMode

mode specifying whether and how to extract C-FIND responses.

Enumerator
FEM_none | do not extract C-FIND responses to file.
FEM_dicomFile | extract each C-FIND-RSP dataset to a DICOM file.
FEM_xmlFile | extract each C-FIND-RSP dataset to an XML file. See "dcm2xml.dtd" for XML format (starts with top-level element "data-set"). The DICOM specific character set is mapped to an appropriate XML encoding (if possible), i.e. no character set conversion takes place.
FEM_singleXMLFile | extract all C-FIND-RSP datasets to a single XML file. The top-level element of the XML document is "responses". If support for character set conversion is enabled, UTF-8 encoding is used, i.e. all datasets are converted to UTF-8 encoding (which is strongly recommended).

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2